
Summary: an program to communicate with Garmin GPS receivers
Name: gd2
Version: 2.7
Release: 1
Group: Applications/Communications
Copyright: GNU Public License
Packager: John C. Peterson <jaypee@netcom.com>
Source: ftp://sundae.triumf.ca/pub/peter/gd2.tgz
Patch: gd2-2.7-linux.patch
Buildroot: /tmp/build_root

%description
gd2 is a program designed to communicate with Garmin GPS receivers via
a serial port using Garmin's proprietary protocol. It was inspired by
M.J. Montgomery's GarDown program and is based on the description of
the Garmin protocol given by <william.soley@sun.com>, and
<werme@zk3.dec.com>, which can be found at:

         http://playground.sun.com/pub/soley/garmin.txt.

It is designed to extract most conventional information, such as tracks,
routes, waypoints, position, clock, and almanac. Since Soley's report
does not describe all messages, this program does not interpret those
additional messages.

%prep
%setup -n gd2
%patch -p1

%build
gcc -c -O2 -m486 -Wall gd2.c
gcc -o gd2 gd2.o

%install
# clean start
rm -rf $RPM_BUILD_ROOT
# make the directories we will need
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man1
# install executable
install -m 0755 -s gd2 $RPM_BUILD_ROOT/usr/bin/gd2
# install man page
cp -p gd2.1 $RPM_BUILD_ROOT/usr/man/man1/gd2.1
chmod 0644 $RPM_BUILD_ROOT/usr/man/man1/gd2.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README
/usr/bin/gd2
/usr/man/man1/gd2.1
